<ng-container *ngIf="productsSelected$ | async as productsSelected">
    <!-- Delte products -->
    <button *ngIf="productsSelected.length > 0"
        mat-raised-button color="warn" 
        matBadge="{{ productsSelected.length }}"
        matBadgePosition="after" 
        matBadgeColor="accent"
        (click)="deleteProducts()">
        Borrar productos
    </button>
    <!-- Create group -->
    <button *ngIf="productsSelected.length > 1"
        mat-raised-button color="primary" 
        (click)="createGroup()">Crear grupo</button>

</ng-container>


<button mat-raised-button color="primary"
    (click)="createProduct()">Crear producto</button>

